<?php
// header("Content-Security-Policy: default-src '*'");
style("ifcviewer", "openifc");
script("ifcviewer", "openifc");

$frame_url = $_["frameUrl"] . "/cloud.html";
?>

<div id="app-content">
	<!-- 	form response:  -->
	<!--     	uuid - project uuid, -->
	<!--     	modelUuid - model revision uuid, -->
	<!--     	upload - 0|1 -->
    <!-- target="iframeBimit" -->

	<form target="_blank" id="iframeForm" name="iframeForm" method="post"
		action="<?php p($_['loadingUrl']); ?>" enctype="multipart/form-data"
		>
		<input type="hidden" name="title" value="<?php p($_['title']); ?>" />
		<input type="hidden" name="fileSize"
			value="<?php p($_['fileSize']); ?>" /> <input type="hidden"
			name="hash" value="<?php p($_['hash']); ?>" /> <input type="hidden"
			name="annotation" value="<?php p($_['annotation']); ?>" />
	</form>

	<iframe id="iframeBimit" name="iframeBimit"
		data-id="<?php p($_["fileId"]) ?>"
		data-path="<?php p($_["filePath"]) ?>"
		data-sharetoken="<?php p($_["shareToken"]) ?>" width="100%"
		height="100%" align="top" frameborder="0" scrolling="no"
		onmousewheel="" allowfullscreen=""
		src="<?php print_unescaped($frame_url); ?>"
		style="position: fixed; bottom: 0; padding-top: 50px;"></iframe>

	<script type="text/javascript"
		nonce="<?php p(base64_encode($_["requesttoken"])) ?>" defer>
        window.addEventListener('DOMContentLoaded', function() {
            <?php if (!empty($_['error'])) { ?>
                OCA.IfcViewer.DisplayError("<?php p($_['error']) ?>");
            <?php } else { ?>
            	var filePath = <?php echo json_encode(urldecode($_['filePath'])); ?>;
            	var shareToken = "<?php p($_["shareToken"]) ?>";
            	var fileId = "<?php p($_["fileId"]) ?>";
            	var frameUrl = "<?php p($_['frameUrl']); ?>";
            	var guestHash = "<?php p($_['hash']); ?>";
            	OCA.IfcViewer.InitFile(frameUrl, filePath, shareToken, fileId, guestHash);
            <?php } ?>
        });
    </script>

</div>



