
(function(OCA) {
	OCA.IfcViewer = _.extend({}, OCA.IfcViewer);

	if (!OCA.IfcViewer.AppName) {
		OCA.IfcViewer = {
			AppName: "ifcviewer"
		};
	}
	
	OCA.IfcViewer.OpenViewer = function (fileId, filePath) {
        var url = OC.generateUrl("/apps/" + OCA.IfcViewer.AppName + "/{fileId}", {
            fileId: fileId
        });
        //Если хотим просто
        //window.location.href = url;
        
        //или открываем в окне
        window.open(
	 		 url,
	  		'_blank' 
		);
        
    };
    
	var registerActions = function() {
		OCA.Files.fileActions.registerAction({
			name: 'openIfcInBimit',
			displayName: 'Открыть в Bimit',
			//mime: 'application/octet-stream',
			mime: 'application/x-step',
			permissions: OC.PERMISSION_READ | OC.PERMISSION_UPDATE,
			//type: OCA.Files.FileActions.TYPE_DROPDOWN,
			iconClass: 'icon-open',
			actionHandler: function(fileName, context) {
				//var tr = context.fileList.findFileEl(fileName);
				//context.fileList.showFileBusyState(tr, true);

				/*var data = {
					nameOfFile: filename,
					directory: context.dir,
					shareOwner: context.fileList.dirInfo.shareOwnerId,
				};*/
				
				var fileInfoModel = context.fileInfoModel || context.fileList.getModelForFile(fileName);
               	OCA.IfcViewer.OpenViewer(fileInfoModel.id, OC.joinPaths(context.dir, fileName));
				
				/*var fileInfoModel = context.fileInfoModel || context.fileList.getModelForFile(fileName);
				var url = OC.generateUrl("/apps/" + OCA.IfcViewer.AppName + "/{fileId}", {
		            fileId: fileInfoModel.id
		        });
		        
		        window.open(
			 		 url,
			  		'_blank' 
				);*/

		        //window.location.href = url;
			}
		});

		OCA.Files.fileActions.setDefault('application/x-step', "openIfcInBimit");
	}
	
	registerActions();
	
})(OCA);