<?php
namespace OCA\IfcViewer;

use OCP\Settings\ISettings;
use OCA\IfcViewer\AppInfo\Application;

class AdminSettings implements ISettings
{

    public function __construct()
    {}

    public function getForm()
    {
        $app = new Application();
        $container = $app->getContainer();
        $response = $container->query("\OCA\IfcViewer\Controller\SettingsController")->index();
        return $response;
    }

    public function getSection()
    {
        return "additional";
    }

    public function getPriority()
    {
        return 60;
    }
}
